twitter4j.api

## Interface SpamReportingResource

All Known Subinterfaces:
  Twitter

    public interface SpamReportingResource

Author:
  Joern Huxhorn - jhuxhorn at googlemail.com

### Method Summary

All Methods Instance Methods Abstract Methods
`User` `reportSpam(long userId)` The user specified in the id is blocked by the authenticated user and reported as a spammer.
`User` `reportSpam(String screenName)` The user specified in the id is blocked by the authenticated user and reported as a spammer.

### Method Detail

#### reportSpam

    User reportSpam(long userId)
             throws TwitterException

The user specified in the id is blocked by the authenticated user and reported as a spammer.
This method calls https://api.twitter.com/1.1/report_spam.json

Parameters:
  `userId` - The ID of the user you want to report as a spammer.
Returns:
  The User reported as a spammer.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.0
See Also:
  POST report_spam | Twitter Developers

#### reportSpam

    User reportSpam(String screenName)
             throws TwitterException

The user specified in the id is blocked by the authenticated user and reported as a spammer.
This method calls https://api.twitter.com/1.1/report_spam.json

Parameters:
  `screenName` - The screen name of the user you want to report as a spammer.
Returns:
  The User reported as a spammer.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.1.0
See Also:
  POST report_spam | Twitter Developers